%define version	1.2
%define release	4mdk
%define name	comclear

Summary: A program to quickly and easily remove your Netscape history.
Name: %name
Version: %version
Release: %release
License: GPL
Group: Networking/WWW
Source: %name-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.neuro-tech.net/story/2002/7/22/133045/415
Requires: gtk+ >= 1.2.0

%description
ComClear is a small program that will erase all traces of where you've been
on the Internet from Netscape Navigator/Communicator.  It includes a GTK 
GUI version and a command-line version, both run by issuing the command 
comclear.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 comclear $RPM_BUILD_ROOT%{_bindir}/comclear

 
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/comclear"\
title="Comclear"\
longtitle="Netscape cleaner"\
needs="x11"\
section="Networking/WWW"
EOF
)
  
%post
%update_menus
   
%postun
%clean_menus  


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}/*
%doc README AUTHORS ChangeLog NEWS INSTALL COPYING
%_menudir/*

%changelog
* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2-4mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2-3mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk
- rebuild

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-1mdk
- updated to 1.2

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1-2mdk
- rebuild 

* Tue Nov 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- new in contribs
